package eu.jonahbauer.chat.server.socket;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.jetbrains.annotations.NotNull;

import java.util.Objects;

public record OutgoingMessage(
        @NotNull String name,
        @NotNull String message,
        @NotNull String channel,
        long delay,
        @JsonFormat(shape = JsonFormat.Shape.NUMBER) boolean publicid,
        @JsonFormat(shape = JsonFormat.Shape.NUMBER) boolean bottag
) {
    public OutgoingMessage {
        Objects.requireNonNull(channel, "channel");
        Objects.requireNonNull(name, "name");
        Objects.requireNonNull(message, "message");
    }
}
